summaryrefslogtreecommitdiff
path: root/dev-ruby
diff options
context:
space:
mode:
Diffstat (limited to 'dev-ruby')
-rw-r--r--dev-ruby/brotli/Manifest1
-rw-r--r--dev-ruby/brotli/brotli-0.5.0.ebuild37
-rw-r--r--dev-ruby/localhost/Manifest1
-rw-r--r--dev-ruby/localhost/localhost-1.2.0.ebuild39
-rw-r--r--dev-ruby/stringio/stringio-3.1.0.ebuild4
5 files changed, 81 insertions, 1 deletions
diff --git a/dev-ruby/brotli/Manifest b/dev-ruby/brotli/Manifest
index 777ad0cd6b98..920fd15d981e 100644
--- a/dev-ruby/brotli/Manifest
+++ b/dev-ruby/brotli/Manifest
@@ -1 +1,2 @@
DIST brotli-0.4.0.tar.gz 9460 BLAKE2B b5d5e490c3ab086d6817c1ecc9143aefe88487d65d6774bda939b25bdb6aaaea4e28d99e01d49b90dbbccceba6643c0b5fdab0cea930eaf1661454996e61fab7 SHA512 7d1d2a1343aec11e840d840358d7d27b4ef93954bc17170d581b16d46191902b6fdf6380344f0d172e5e7f3fc0948146312659a44dc95973ec30ac3344f4a656
+DIST brotli-0.5.0.tar.gz 9449 BLAKE2B daf34e3b3bc175d883a844a9fedbbe686b2b103db9249bd47d616aafd75682d381b54de9b248ef3c44ac35e4873c7046332a2c177815f597ed6f527928728c1c SHA512 ac2b9594f4a6be95417bc1d84529e2df2cd97f23a0da77ac4fa4a0253af9dc89deae8adc226609ed7dd735b899ddcc1cafeba916a7ed928484796e16b276e010
diff --git a/dev-ruby/brotli/brotli-0.5.0.ebuild b/dev-ruby/brotli/brotli-0.5.0.ebuild
new file mode 100644
index 000000000000..ebec173f088d
--- /dev/null
+++ b/dev-ruby/brotli/brotli-0.5.0.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby31 ruby32 ruby33"
+
+RUBY_FAKEGEM_EXTRADOC="README.md"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+RUBY_FAKEGEM_GEMSPEC="brotli.gemspec"
+
+RUBY_FAKEGEM_EXTENSIONS=(ext/brotli/extconf.rb)
+
+inherit ruby-fakegem
+
+DESCRIPTION="Brotli compressor/decompressor"
+HOMEPAGE="https://github.com/miyucy/brotli"
+SRC_URI="https://github.com/miyucy/brotli/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1)"
+KEYWORDS="~amd64"
+
+RDEPEND+=" >=app-arch/brotli-1.1.0"
+DEPEND+=" >=app-arch/brotli-1.1.0"
+
+# Depends on the test data in app-arch/brotli
+RESTRICT="test"
+
+all_ruby_prepare() {
+ sed -e 's/git ls-files -z -- spec/find spec -print0/' \
+ -e 's/git ls-files -z/find * -print0/' \
+ -i ${RUBY_FAKEGEM_GEMSPEC} || die
+}
diff --git a/dev-ruby/localhost/Manifest b/dev-ruby/localhost/Manifest
index 3522459d9953..02a95e02be64 100644
--- a/dev-ruby/localhost/Manifest
+++ b/dev-ruby/localhost/Manifest
@@ -1 +1,2 @@
DIST localhost-1.1.10.tar.gz 2128142 BLAKE2B 06e4ab07bc273b8beba5fb3ee3f64e171a6c4a2e944c6d5e432417560283230277213732bf23ddd12e9737b2803582a11fdaa76356d14d2bdbd4e90d402c6204 SHA512 946ef247b256165cf5c849a32c0ba8dd2007164bd1549a20aca595328174709e9213ba8a98448dc41a57558b00147c3b7428b7bc625059ab24f89c94ff8850e9
+DIST localhost-1.2.0.tar.gz 2128359 BLAKE2B 793e43779ec0b1392104914d9adc1d468820f54b920a8ec4e4f538b313e607a6016a0d2d7b8db242571bdd561161bd71ef781eae310d1f57005c2b0a0fa5c5b4 SHA512 f60cf31a31ac43962e98e933955973ce4bdf76252e43ee3ef969fe104fb71bc5d2faa3213c93532acba28650cd453663785c15b33eed65309f8c235ce116b70d
diff --git a/dev-ruby/localhost/localhost-1.2.0.ebuild b/dev-ruby/localhost/localhost-1.2.0.ebuild
new file mode 100644
index 000000000000..3d7b9f9412c2
--- /dev/null
+++ b/dev-ruby/localhost/localhost-1.2.0.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby31 ruby32"
+
+RUBY_FAKEGEM_EXTRADOC="readme.md"
+RUBY_FAKEGEM_GEMSPEC="localhost.gemspec"
+RUBY_FAKEGEM_RECIPE_TEST="sus"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Manage a local CA for self-signed localhost development servers"
+HOMEPAGE="https://github.com/socketry/localhost"
+SRC_URI="https://github.com/socketry/localhost/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1)"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+ruby_add_bdepend "
+ test? (
+ dev-ruby/async-io
+ dev-ruby/async-process
+ dev-ruby/sus-fixtures-async
+ )
+"
+
+all_ruby_prepare() {
+ sed -i -e 's:_relative ": "./:' ${RUBY_FAKEGEM_GEMSPEC} || die
+ sed -i -e '/covered/Id' config/sus.rb || die
+}
+
+each_ruby_test() {
+ # Tests fail in parallel as it tries to use the same port so
+ # manually replicate ruby-ng_sus for now, as ruby-ng_sus runs sus-parallel.
+ ${RUBY} -S sus || die
+}
diff --git a/dev-ruby/stringio/stringio-3.1.0.ebuild b/dev-ruby/stringio/stringio-3.1.0.ebuild
index b5d844a9a06f..d8350c676f2d 100644
--- a/dev-ruby/stringio/stringio-3.1.0.ebuild
+++ b/dev-ruby/stringio/stringio-3.1.0.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -19,6 +19,8 @@ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390
SLOT="0"
IUSE="test"
+ruby_add_bdepend "test? ( dev-ruby/test-unit dev-ruby/test-unit-ruby-core )"
+
all_ruby_prepare() {
sed -e "/s.version =/ s/source_version/'${PV}'/" \
-e 's/__dir__/"."/' \